## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global real_name pyquery

%if 0%{?rhel}
%bcond_with tests
%else
%bcond_without tests
%endif

Name:           python-%{real_name}
Version:        2.0.1
Release:        %autorelease
Summary:        A jQuery-like library for python
# Automatically converted from old format: BSD - review is highly recommended.
License:        LicenseRef-Callaway-BSD
URL:            http://pypi.python.org/pypi/pyquery
Source0:        %pypi_source pyquery

# skip some tests that need network
#Patch:          python-pyquery-skip-test-requiring-net-connection.patch
# Fix for Python 3.12+
# https://github.com/gawel/pyquery/issues/249
# https://github.com/gawel/pyquery/commit/60ea3abafdf3e9cddcc580b9f94197c6badab09b
#Patch:          0001-backport-3.12-OrderedDict.__repr__-to-run-doctest-on.patch
# Fix a test with libxml 2.10.4+
# https://github.com/gawel/pyquery/issues/248
# https://github.com/gawel/pyquery/pull/250
#Patch:          0002-test-allow-libxml2-behavior-change.patch
# Use pytest
# https://github.com/gawel/pyquery/commit/e5b884a366114053def4d7f271040c9a210492f5
#Patch:          0003-use-pytest.patch

BuildArch:      noarch


%global _description\
python-pyquery allows you to make jQuery queries on XML documents. The API is\
as much as possible the similar to jQuery. python-pyquery uses lxml for fast\
XML and HTML manipulation.

%description %_description

%package -n python3-pyquery
Summary:        A jQuery-like library for python3
BuildRequires:  python3-devel

Requires:       python3-lxml >= 2.1
Requires:       python3-cssselect

%description -n python3-pyquery
python3-pyquery allows you to make jQuery queries on XML documents. The API is 
as much as possible the similar to jQuery. python-pyquery uses lxml for fast 
XML and HTML manipulation.


%prep
%autosetup -n %{real_name}-%{version} -p1

%generate_buildrequires

%if %{with tests}
%pyproject_buildrequires -t
%else
%pyproject_buildrequires
%endif


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files -l pyquery


%check
%if %{with tests}
%tox
%endif

%files -n python3-pyquery -f %{pyproject_files}
%doc CHANGES.rst README.rst

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Kevin Fenzi <kevin@scrye.com> - 2.0.1-1
- Uncommitted changes

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Dec 11 2024 Miro Hrončok <miro@hroncok.cz> - 1.4.3-23
- Use pytest instead of nose
- https://fedoraproject.org/wiki/Changes/DeprecateNose

* Wed Sep 04 2024 Miroslav Suchý <msuchy@redhat.com> - 1.4.3-22
- convert license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 13 2024 Python Maint <python-maint@redhat.com> - 1.4.3-20
- Rebuilt for Python 3.13

* Tue Jun 11 2024 Python Maint <python-maint@redhat.com> - 1.4.3-19
- Bootstrap for Python 3.13

* Tue Jun 11 2024 Adam Williamson <awilliam@redhat.com> - 1.4.3-18
- Backport patches from upstream to fix build/tests with Python 3.12

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.4.3-17
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1.4.3-13
- Rebuilt for Python 3.12

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 1.4.3-12
- Bootstrap for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 10 2022 Kevin Fenzi <kevin@scrye.com> - 1.4.3-9
- Fix test deps and disable tests in epel

* Fri Jun 17 2022 Python Maint <python-maint@redhat.com> - 1.4.3-8
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.4.3-7
- Bootstrap for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.4.3-4
- Rebuilt for Python 3.10

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.4.3-3
- Bootstrap for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 01 2021 Kevin Fenzi <kevin@scrye.com> - 1.4.3-1
- Update to 1.4.3. Fixes rhbz#1900198

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon May 25 2020 Miro Hrončok <miro@hroncok.cz> - 1.4.1-3
- Rebuilt for Python 3.9

* Mon May 25 2020 Miro Hrončok <miro@hroncok.cz> - 1.4.1-2
- Bootstrap for Python 3.9

* Fri Apr 03 2020 Clement Verna <cverna@tutanota.com> - 1.4.1-1
- Update to 1.4.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Sep 09 2019 Miro Hrončok <miro@hroncok.cz> - 1.4.0-8
- Subpackage python2-pyquery has been removed

* Sat Aug 17 2019 Miro Hrončok <miro@hroncok.cz> - 1.4.0-7
- Rebuilt for Python 3.8

* Sat Aug 17 2019 Miro Hrončok <miro@hroncok.cz> - 1.4.0-6
- Bootstrap for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Mar 13 2019 Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com> - 1.4.0-4
- Use a build condition

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.4.0-2
- Remove obsolete Group tag

* Wed Jul 25 2018 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.4.0-1
- Update to 1.4.0

* Wed Jul 25 2018 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.3.0-10
- Use the py2 version of the macros

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 18 2018 Miro Hrončok <miro@hroncok.cz> - 1.3.0-8
- Rebuilt for Python 3.7

* Sun Jun 17 2018 Miro Hrončok <miro@hroncok.cz> - 1.3.0-7
- Bootstrap for Python 3.7

* Wed Feb 28 2018 Randy Barlow <randy@electronsweatshop.com> - 1.3.0-6
- Trim the changelog of messages older than a year.

* Wed Feb 28 2018 Randy Barlow <randy@electronsweatshop.com> - 1.3.0-5
- Add a .rpmlint file.

* Wed Feb 28 2018 Randy Barlow <randy@electronsweatshop.com> - 1.3.0-4
- Use python2 instead of python when building and installing.

* Tue Feb 27 2018 Iryna Shcherbina <shcherbina.iryna@gmail.com> - 1.3.0-3
- Update Python 2 dependency declarations to new packaging standards

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Dec 18 2017 Kevin Fenzi <kevin@scrye.com> - 1.3.0-1
- Update to 1.3.0. Fixes bug #1505136

* Fri Sep 29 2017 Troy Dawson <tdawson@redhat.com> - 1.2.17-9
- Cleanup spec file conditionals

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.17-8
- Python 2 binary package renamed to python2-pyquery

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.17-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.17-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 20 2016 Miro Hrončok <miro@hroncok.cz> - 1.2.17-5
- Bump for Enable tests (circular deps)

* Tue Dec 20 2016 Miro Hrončok <miro@hroncok.cz> - 1.2.17-4
- Enable tests (circular deps)

* Tue Dec 20 2016 Miro Hrončok <miro@hroncok.cz> - 1.2.17-3
- Disable tests (circular deps)

* Mon Dec 19 2016 Miro Hrončok <miro@hroncok.cz> - 1.2.17-2
- Rebuild for Python 3.6

* Wed Nov 09 2016 Kevin Fenzi <kevin@scrye.com> - 1.2.17-1
- Update to 1.2.17

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.8-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 11 2015 Robert Kuska <rkuska@redhat.com> - 1.2.8-10
- Enable tests

* Wed Nov 11 2015 Robert Kuska <rkuska@redhat.com> - 1.2.8-9
- Webtest and pyquery has circular dependency

* Tue Nov 10 2015 Peter Robinson <pbrobinson@fedoraproject.org> - 1.2.8-8
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Dennis Gilmore <dennis@ausil.us> - 1.2.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Sep 04 2014 Ralph Bean <rbean@redhat.com> - 1.2.8-6
- Disable check section for epel.

* Wed Aug 20 2014 Ralph Bean <rbean@redhat.com> - 1.2.8-5
- Fixup python3 conditionals.

* Wed Aug 13 2014 Ralph Bean <rbean@redhat.com> - 1.2.8-4
- Conditionalize with_python3 for fedora.

* Fri Jun 13 2014 Slavek Kabrda <bkabrda@redhat.com> - 1.2.8-3
- Skip test requiring internet connection in Koji

* Fri Jun 13 2014 Slavek Kabrda <bkabrda@redhat.com> - 1.2.8-2
- Enable tests during build, add proper dependencies for them.

* Fri Jun 13 2014 Slavek Kabrda <bkabrda@redhat.com> - 1.2.8-1
- Add python3 support - patch by Brendan Jones

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 05 2013 Matěj Cepl <mcepl@redhat.com> - 1.2.4-1
- Upgrade to the latest upstream version (1.2.4)

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> - 0.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Dennis Gilmore <dennis@ausil.us> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Dennis Gilmore <dennis@ausil.us> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Feb 25 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.6.1-2
- Added source archive (#680020)

* Fri Feb 25 2011 Brendan Jones <brendan@192-168-1-150.tpgi.com.au> - 0.6.1-1
- Initial import (#680020)
## END: Generated by rpmautospec
